All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
gpioArr Struct Reference

Wrapper structure for GpioArr. More...

`#include <src/c_wrapper/pruio.h>`

## Public Attributes

uint32 | DeAd
| base address of GPIO device + 0x100
uint32 | DATAIN
| current Value of DATAIN register (IO)
uint32 | DATAOUT
| current Value of DATAOUT register (IO)
uint32 | Mix
| current state of pins (IN&OUT mixed)

## Detailed Description

Wrapper structure for GpioArr.

Since
  0.2

Definition at line 180 of file pruio.h.

The documentation for this struct was generated from the following file:

- src/c_wrapper/pruio.h